Package org.apache.sysds.runtime.matrix.data.sketch.countdistinct

# Class BitMapValueCombiner

java.lang.Object
org.apache.sysds.runtime.matrix.data.sketch.countdistinct.BitMapValueCombiner

All Implemented Interfaces:
  `BiFunction<Set<Long>,Set<Long>,Set<Long>>`, `BinaryOperator<Set<Long>>`

public class BitMapValueCombiner extends Object implements BinaryOperator<Set<Long>>

## Constructor Summary

Constructors
Constructor
Description
`BitMapValueCombiner()`

## Method Summary

Modifier and Type
Method
Description
`Set<Long>`
`apply(Set<Long> set0, Set<Long> set1)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Constructor Details

### BitMapValueCombiner

public BitMapValueCombiner()

## Method Details

### apply

public Set<Long> apply(Set<Long> set0, Set<Long> set1)

Specified by:
  `apply` in interface `BiFunction<Set<Long>,Set<Long>,Set<Long>>`